Subject: Re: [PATCH] adding ROM chips to device tree: respin

From: Vitaly Wool <[email-masked]>
Date: Wed, 08 Nov 2006 01:18:40 +0300

>     We don't have any actual registers (at least "physmap" doesn't know about 
> them anyway) I think, just a memory range. What registers are you talking about?

We do have registers there, in query mode. The CFI registers.

> > Okay, probably we can go you way naming of_device by what it's
> > compatible with. So that "physmap" compatible would be called
> > "physmap-flash", "nand"-compatible would be called "nand-flash" etc.
> 
>     Actually, Generic Names spec tells to use the most generic user-parsable 
> names, just like I used initally ("flash")...
> 
> > Does that work for you?
> 
>     No. Getting rid of "physmap" completely and using of_find_node_by_type() 
> does. :-)

That's effectively what I'm talking about. Find the device by type and
register it with the name which depends on what it's compatible with.

Vitaly